    var bannerAD = new Array();
    var bannerADlink = new Array();
    var adNum = 0;

    bannerAD[0] = "images/2.jpg";
    bannerADlink[0] = ""

    bannerAD[1] = "images/3.jpg";
    bannerADlink[1] = ""
    
    bannerAD[2] = "images/1.jpg";
    bannerADlink[2] = ""
    
    bannerAD[3] = "images/3.jpg";
    bannerADlink[3] = ""

    var preloadedimages = new Array();
    for (i = 1; i < bannerAD.length; i++) {
        preloadedimages[i] = new Image();
        preloadedimages[i].src = bannerAD[i];
    }

    function setTransition() {
        if (document.all) {
            
            document.getElementById("bannerADrotator").filters.revealTrans.Transition = Math.floor(Math.random() * 23);
            document.getElementById("bannerADrotator").filters.revealTrans.apply();
        }
    }

    function playTransition() {
        if (document.all)
            document.getElementById("bannerADrotator").filters.revealTrans.play()
    }

    var toptime = 0;
    function nextAd() {
        if (adNum < bannerAD.length - 1) adNum++;
        else adNum = 0;
        //setTransition();
        document.images.bannerADrotator.src = bannerAD[adNum];
        
        //playTransition();
        theTimer = setTimeout("nextAd()", 3000); 
    }

    function jump2url() {
        jumpUrl = bannerADlink[adNum];
        jumpTarget = '_blank';
        if (jumpUrl != '') {
            if (jumpTarget != '') window.open(jumpUrl, jumpTarget);
            else location.href = jumpUrl;
        }
    }
    function displayStatusMsg() {
        status = bannerADlink[adNum];
        document.returnValue = true;
    } 
    
    nextAd() ;